header {
    text-align: center;
    margin: 50px;
    min-width: min-content;
    min-height: 300px;
    margin-left: auto;
    margin-right: auto;
    padding: 50px;
    width: 50%;
    background-color: rgba(0, 0, 0, 0.6);
    border-radius: 5px;
}

.name {
    margin-top: auto;
    margin-bottom: auto;
    font-size: 70pt;
    border-bottom: 3px solid white;
}

.title {
    font-size: 50pt;
}

.mainContainer {
    padding: 100px;
    height: 100%;
    background-color: rgba(0, 0, 25, 0.5);
    text-align: center;
}

.secondaryContainer {
    width: 75%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    padding: 30px;
    word-wrap: break-word;
    border-radius: 5px;
    background-color: rgb(20, 47, 82);
}

.bottomContainer {
    width: 75%;
    margin-left: auto;
    margin-right: auto;
    padding: 30px;
    word-wrap: break-word;
    border-radius: 5px;
    background-color: rgb(20, 47, 82);
}

.projects {
    width: 75%;
    margin-left: auto;
    margin-right: auto;
    margin-bottom: 50px;
    padding: 30px;
    border-radius: 5px;
    background-color: rgb(20, 47, 82);
}

.projectContainer {
    display: flex;
    flex-wrap: wrap;
}

.projectContent {
    min-width: 275px;
    max-width: calc(100%/4);
    height: min-content;
    margin: 5px;
    padding: 10px;
    border-radius: 5px;
    border: 1px solid white;
    word-wrap: break-word;
}

.projectContent:hover {
    border: 1px solid rgb(0, 110, 255);
    cursor: pointer;
}

.projectContent:hover p {
    color: rgb(0, 110, 255);
}

.projectName {
    width: fit-content;
    text-align: center;
    border-bottom: 2px dotted white;
}

.projectContent:hover .projectName {
    color: rgb(0, 110, 255);
    border-bottom: 2px dotted rgb(0, 110, 255);
}

.projectName a {
    text-decoration: none;
}

.sectionName {
    text-align: left;
    border-bottom: 2px solid white;
    padding-left: 10px;
}

.sectionContent {
    text-align: left;
    padding-left: 50px;
}

.userActionButton {
    position: fixed;
    top: 0;
    right: 0;
    text-align: center;
    padding-left: 30px;
    padding-right: 30px;
    padding-top: 15px;
    padding-bottom: 15px;
    cursor: pointer;
    color: white;
    border: 0px;
    border-left: 1px solid white;
    border-bottom: 1px solid white;
    border-bottom-left-radius: 5px;
    background: rgba(0, 0, 0, 0.5);
}

.userActionButtonContainer {
    position: fixed;
    top: 0;
    right: 0;
    display: flex;
    flex-direction: column;
}

.userActionButton.middle {
    position: relative;
    border-bottom-left-radius: 0px;
    top:auto;
}

.userActionButton.bottom {
    position: relative;
    top:auto;
}